Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Class LeafNodeLayoutManager.AreaInfo

    java.lang.Object
      org.apache.fop.layoutmgr.inline.LeafNodeLayoutManager.AreaInfo

Enclosing class:
  LeafNodeLayoutManager

    protected class LeafNodeLayoutManager.AreaInfo

extends java.lang.Object

Store information about the inline area

Field Summary
`protected AlignmentContext` | `alignmentContext` alignment context
`protected MinOptMax` | `ipdArea` ipd of area
`protected boolean` | `isHyphenated` true if hyphenated
`protected short` | `letterSpaces` letter space count

Constructor Summary
`LeafNodeLayoutManager.AreaInfo(short letterSpaces, MinOptMax ipd, boolean isHyphenated, AlignmentContext alignmentContext)` Construct an area information item.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### letterSpaces

    protected short letterSpaces

  letter space count

### ipdArea

    protected MinOptMax ipdArea

  ipd of area

### isHyphenated

    protected boolean isHyphenated

  true if hyphenated

### alignmentContext

    protected AlignmentContext alignmentContext

  alignment context

Constructor Detail

### LeafNodeLayoutManager.AreaInfo

    public LeafNodeLayoutManager.AreaInfo(short letterSpaces,
                                          MinOptMax ipd,
                                          boolean isHyphenated,
                                          AlignmentContext alignmentContext)

  Construct an area information item.

  Parameters:
    `letterSpaces` - letter space count
    `ipd` - inline progression dimension
    `isHyphenated` - true if hyphenated
    `alignmentContext` - an alignment context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.